Bug 467359 - SELinux is preventing totem (nsplugin_t) "getattr" to /dev/root (fixed_disk_device_t).
SELinux is preventing totem (nsplugin_t) "getattr" to /dev/root (fixed_disk_d...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-16 23:51 EDT by Alex Chiang
Modified: 2008-10-20 22:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-17 16:07:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Chiang 2008-10-16 23:51:37 EDT
Summary:

SELinux is preventing totem (nsplugin_t) "getattr" to /dev/root
(fixed_disk_device_t).

Detailed Description:

SELinux denied access requested by totem. It is not expected that this access is
required by totem and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

Sometimes labeling problems can cause SELinux denials. You could try to restore
the default system file context for /dev/root,

restorecon -v '/dev/root'

If this does not work, there is currently no automatic way to allow this access.
Instead, you can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c102
                              3
Target Context                system_u:object_r:fixed_disk_device_t:s0
Target Objects                /dev/root [ blk_file ]
Source                        totem
Source Path                   /usr/bin/totem
Port                          <Unknown>
Host                          ethanol
Source RPM Packages           totem-2.24.2-2.fc10
Target RPM Packages           
Policy RPM                    selinux-policy-3.5.12-2.fc10
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall_file
Host Name                     ethanol
Platform                      Linux ethanol 2.6.27-13.fc10.i686 #1 SMP Wed Oct
                              15 02:06:26 EDT 2008 i686 i686
Alert Count                   2
First Seen                    Thu 16 Oct 2008 09:43:49 PM MDT
Last Seen                     Thu 16 Oct 2008 09:49:23 PM MDT
Local ID                      c83c4a65-76cb-441a-a6c9-abf907703cfc
Line Numbers                  

Raw Audit Messages            

node=ethanol type=AVC msg=audit(1224215363.240:178): avc:  denied  { getattr } for  pid=4896 comm="totem" path="/dev/root" dev=tmpfs ino=468 scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:fixed_disk_device_t:s0 tclass=blk_file

node=ethanol type=SYSCALL msg=audit(1224215363.240:178): arch=40000003 syscall=195 success=no exit=-13 a0=2cc218 a1=bfa0577c a2=c31ff4 a3=2cc218 items=0 ppid=4895 pid=4896 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="totem" exe="/usr/bin/totem" subj=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 key=(null)
Comment 1 Daniel Walsh 2008-10-17 16:07:38 EDT
Did mplayer run ok with this AVC?

Fixed in selinux-policy-3.5.13-1.fc10
Comment 2 Alex Chiang 2008-10-18 21:00:49 EDT
Hm, I don't have mplayer installed, and I don't see it in yum either (default repos enabled only).

[achiang@ethanol ~]$ yum search mplayer
Loaded plugins: refresh-packagekit
=============================== Matched: mplayer ===============================
kmplayer.i386 : Video plugin for Konqueror and basic Gstreamer/Xine frontend
vorbisgain.i386 : Adds tags to Ogg Vorbis files to adjust the volume

Am I missing something?
Comment 3 Daniel Walsh 2008-10-20 12:55:50 EDT
Sorry bug overload.  Should have asked if totem ran ok.

mplayer was broken in another bug.
Comment 4 Alex Chiang 2008-10-20 22:57:58 EDT
Yes, totem plays an ogg inline in my browser correctly.

I can also download the ogg, add it to a totem playlist, and it plays correctly as well.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.